#include <stdlib.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include "lcd.c"

#ifndef F_CPU
#define F_CPU 8000000UL
#endif

#define UART_BAUD_RATE      9600      

void USART_Init( unsigned int baud );
void USART_Transmit( char text[] );
unsigned char USART_Receive( void );

void USART_Init( unsigned int baud )
{ 
UBRRH = (unsigned char)(baud>>8);
UBRRL = (unsigned char)baud;
UCSRB = (1<<RXEN)|(1<<TXEN); 
UCSRC = (1<<URSEL)|(1<<USBS)|(3<<UCSZ0);
} 

void USART_Transmit( char text[])
{ 
int i=0;
while(text[i]!=0)
 {
    while ( !( UCSRA & (1<<UDRE)) ) ;
    UDR = text[i];
    i++; 
 }
}

unsigned char USART_Receive( void )
{
while ( !(UCSRA & (1<<RXC)) ) ;
return UDR;
}

int main(void)
{
    unsigned char k = 0;
    unsigned char rec;
 
    lcd_init(LCD_DISP_ON);
    
    lcd_clrscr();
    lcd_puts("Send:");
    lcd_gotoxy(0,1);
    lcd_puts("Rec.:");

    USART_Init(UART_BAUD_RATE);
    
    while (1)
    {
	    USART_Transmit("ATD08003301000,\r");
	    lcd_gotoxy(6,0);
	    lcd_puts("ATD08003301000,\r");
	    
	    for (k=0;k<50;k++)
	    {
	    rec = USART_Receive();

	    lcd_gotoxy(6+k,1);
	    lcd_putc(rec);
	    }
	
    }
    return 0;
}
